Samba service failed to start on centos 7 after patching

Issues related to applications and software problems
kitchaaa_r
Posts: 25
Joined: 2018/08/20 18:09:55

Samba service failed to start on centos 7 after patching

Post by kitchaaa_r » 2018/09/22 03:53:23

Hi Team,

Samba service failed to start on centos 7 after patching. even i tried to start but no luck.. this server is used as NFS server.
please help me to fix the issue at the earliest..

Also i have noticed the samba packages got upgraded to this version

rpm -qa|grep -i samba
samba-4.7.1-9.el7_5.x86_64
samba-common-4.7.1-9.el7_5.noarch
samba-common-tools-4.7.1-9.el7_5.x86_64
samba-common-libs-4.7.1-9.el7_5.x86_64
samba-libs-4.7.1-9.el7_5.x86_64
samba-client-libs-4.7.1-9.el7_5.x86_64



[root@]# systemctl --failed
UNIT LOAD ACTIVE SUB DESCRIPTION
● rngd.service loaded failed failed Hardware RNG Entropy Gatherer Daemon
● smb.service loaded failed failed Samba SMB Daemon

LOAD = Reflects whether the unit definition was properly loaded.
ACTIVE = The high-level unit activation state, i.e. generalization of SUB.
SUB = The low-level unit activation state, values depend on unit type.

2 loaded units listed. Pass --all to see loaded but inactive units, too.
To show all installed unit files use 'systemctl list-unit-files'.
[root@]# systemctl status smb.service
● smb.service - Samba SMB Daemon
Loaded: loaded (/usr/lib/systemd/system/smb.service; enabled; vendor preset: disabled)
Active: failed (Result: exit-code) since Sat 2018-09-22 03:41:21 UTC; 2min 17s ago
Process: 1031 ExecStart=/usr/sbin/smbd --foreground --no-process-group $SMBDOPTIONS (code=exited, status=255)
Main PID: 1031 (code=exited, status=255)

Starting Samba SMB Daemon...
S [2018/09/22 03:41:21.437707, 0] ../source3/auth/auth_util.c:1399(make_new_session_info_guest)
create_local_token failed: NT_STATUS_NO_MEMORY
[1031]: [2018/09/22 03:41:21.446449, 0] ../source3/smbd/server.c:2011(main)
[1031]: ERROR: failed to setup guest info.
: smb.service: main process exited, code=exited, status=255/n/a
Failed to start Samba SMB Daemon.
Unit smb.service entered failed state.
smb.service failed.
# systemctl start smb.service
Job for smb.service failed because the control process exited with error code. See "systemctl status smb.service" and "journalctl -xe" for details.
# systemctl status smb.service
● smb.service - Samba SMB Daemon
Loaded: loaded (/usr/lib/systemd/system/smb.service; enabled; vendor preset: disabled)
Active: failed (Result: exit-code) since Sat 2018-09-22 03:44:21 UTC; 6s ago
Process: 1729 ExecStart=/usr/sbin/smbd --foreground --no-process-group $SMBDOPTIONS (code=exited, status=255)
Main PID: 1729 (code=exited, status=255)


--
-- The result is failed.
Sep 22 03:44:21 systemd[1]: Unit smb.service entered failed state.
Sep 22 03:44:21 systemd[1]: smb.service failed.
Sep 22 03:44:21 polkitd[787]: Unregistered Authentication Agent for unix-process:1722:20756 (system bus name :1.18, object path /org/freedesktop/P

kitchaaa_r
Posts: 25
Joined: 2018/08/20 18:09:55

Re: Samba service failed to start on centos 7 after patching

Post by kitchaaa_r » 2018/09/22 23:09:15

Hi Team,

Any updates would be much appreciated ..This is very urgent. please help me



Thanks
krishna

tunk
Posts: 462
Joined: 2017/02/22 15:08:17

Re: Samba service failed to start on centos 7 after patching

Post by tunk » 2018/09/23 10:46:43

I'm a bit confused, why do you need samba when "this server is used as NFS server"?
You could also try to run testparm to check if your samba configuration file is correct.

User avatar
TrevorH
Forum Moderator
Posts: 24108
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Samba service failed to start on centos 7 after patching

Post by TrevorH » 2018/09/23 14:31:28

https://bugzilla.redhat.com/show_bug.cgi?id=1597087
From the Samba release notes of 4.8.0:


Domain member setups require winbindd
-------------------------------------

Setups with "security = domain" or "security = ads" require a
running 'winbindd' now. The fallback that smbd directly contacts
domain controllers is gone.
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

kitchaaa_r
Posts: 25
Joined: 2018/08/20 18:09:55

Re: Samba service failed to start on centos 7 after patching

Post by kitchaaa_r » 2018/09/23 15:29:21

Hi TrevorH

Thanks for the update. This server is using for NFS server. user had linux home dir mapped to a drive in windows

\\mnprdnfs01\e9002099 (user home dir) --

i tried below steps but still we are getting access denied when we access the share by \\mnprdnfs01 from windows

I was able to start the smb service successfully after i have installed this pkg sssd-libwbclient-1.16.0-19.el7_5.5.x86_64

[root@mnprdnfs01 ~]# service smb status
Redirecting to /bin/systemctl status smb.service
? smb.service - Samba SMB Daemon
Loaded: loaded (/usr/lib/systemd/system/smb.service; enabled; vendor preset: disabled)
Active: active (running) since Sat 2018-09-22 22:44:37 UTC; 21s ago
Main PID: 23935 (smbd)
Status: "smbd: ready to serve connections..."
CGroup: /system.slice/smb.service
+-23935 /usr/sbin/smbd --foreground --no-process-group
+-23937 /usr/sbin/smbd --foreground --no-process-group
+-23938 /usr/sbin/smbd --foreground --no-process-group
+-23939 /usr/sbin/smbd --foreground --no-process-group

Sep 22 22:44:37 mnprdnfs01 systemd[1]: Starting Samba SMB Daemon...
Sep 22 22:44:37 mnprdnfs01 smbd[23935]: [2018/09/22 22:44:37.363758, 0] ../lib/util/become_daemon.c:124(daemon_ready)
Sep 22 22:44:37 mnprdnfs01 systemd[1]: Started Samba SMB Daemon.
Sep 22 22:44:37 mnprdnfs01 smbd[23935]: STATUS=daemon 'smbd' finished starting up and ready to serve connections
Sep 22 22:44:37 mnprdnfs01 smbd[23935]: [2018/09/22 22:44:37.386466, 0] ../source3/printing/nt_printing.c:187(nt_printing_init)
Sep 22 22:44:37 mnprdnfs01 smbd[23935]: nt_printing_init: error checking published printers: WERR_ACCESS_DENIED

Now i seeing the status of the service as follows

[root@mnprdnfs01 /]# systemctl status smb.service
● smb.service - Samba SMB Daemon
Loaded: loaded (/usr/lib/systemd/system/smb.service; enabled; vendor preset: disabled)
Active: active (running) since Sat 2018-09-22 22:44:37 UTC; 16h ago
Main PID: 23935 (smbd)
Status: "smbd: ready to serve connections..."
CGroup: /system.slice/smb.service
├─23935 /usr/sbin/smbd --foreground --no-process-group
├─23937 /usr/sbin/smbd --foreground --no-process-group
├─23938 /usr/sbin/smbd --foreground --no-process-group
└─23939 /usr/sbin/smbd --foreground --no-process-group

Sep 23 11:38:54 mnprdnfs01 smbd[15108]: [2018/09/23 11:38:54.348054, 0] ../source3/auth/auth_domain.c:185(domain_client_validate)
Sep 23 11:38:54 mnprdnfs01 smbd[15108]: domain_client_validate: Domain password server not available.
Sep 23 13:14:58 mnprdnfs01 smbd[21500]: [2018/09/23 13:14:58.419682, 0] ../source3/auth/auth_domain.c:185(domain_client_validate)
Sep 23 13:14:58 mnprdnfs01 smbd[21500]: domain_client_validate: Domain password server not available.
Sep 23 13:24:39 mnprdnfs01 smbd[22132]: [2018/09/23 13:24:39.949985, 0] ../source3/auth/auth_domain.c:185(domain_client_validate)
Sep 23 13:24:39 mnprdnfs01 smbd[22132]: domain_client_validate: Domain password server not available.
Sep 23 13:25:30 mnprdnfs01 smbd[22180]: [2018/09/23 13:25:30.027010, 0] ../source3/auth/auth_domain.c:185(domain_client_validate)
Sep 23 13:25:30 mnprdnfs01 smbd[22180]: domain_client_validate: Domain password server not available.
Sep 23 14:15:32 mnprdnfs01 smbd[26258]: [2018/09/23 14:15:32.126155, 0] ../source3/auth/auth_domain.c:185(domain_client_validate)
Sep 23 14:15:32 mnprdnfs01 smbd[26258]: domain_client_validate: Domain password server not available.
[root@mnprdnfs01 /]#

++++++++++++++++++++++++++++++

i have tested the parameters by testparm and seeing the error that invalid idmap range

[root@mnprdnfs01 /]# testparm
Load smb config files from /etc/samba/smb.conf
rlimit_max: increasing rlimit_max (1024) to minimum Windows limit (16384)
Processing section "[homes]"
Processing section "[software]"
Processing section "[m]"
Loaded services file OK.
[idmap range not specified for domain '*'
ERROR: Invalid idmap range for domain *!
Server role: ROLE_DOMAIN_MEMBER

Press enter to see a dump of your service definitions

# Global parameters
[global]
domain master = No
kerberos method = system keytab
load printers = No
local master = No
max log size = 50
printcap name = /dev/null
realm = XXXX.NET
security = ADS
workgroup = XXXX
idmap config * : backend = tdb
cups options = raw


[homes]
browseable = No
create mask = 0770
directory mask = 0770
path = /export/home/%S
read only = No
valid users = %S


[software]
comment = Software
guest ok = Yes
path = /export/software
read only = No


[m]
comment = Member Images
guest ok = Yes
path = /export/memberimages


+++++++++++++++

[root@mnprdnfs01 /]# rpm -qa|grep -i sssd*
libsss_idmap-1.16.0-19.el7_5.5.x86_64
sssd-client-1.16.0-19.el7_5.5.x86_64
libsss_simpleifp-1.16.0-19.el7_5.5.x86_64
sssd-tools-1.16.0-19.el7_5.5.x86_64
libsss_autofs-1.16.0-19.el7_5.5.x86_64
sssd-ldap-1.16.0-19.el7_5.5.x86_64
sssd-ipa-1.16.0-19.el7_5.5.x86_64
sssd-libwbclient-1.16.0-19.el7_5.5.x86_64
sssd-krb5-common-1.16.0-19.el7_5.5.x86_64
sssd-krb5-1.16.0-19.el7_5.5.x86_64
sssd-proxy-1.16.0-19.el7_5.5.x86_64
sssd-1.16.0-19.el7_5.5.x86_64
libsss_certmap-1.16.0-19.el7_5.5.x86_64
python-sssdconfig-1.16.0-19.el7_5.5.noarch
libsss_nss_idmap-1.16.0-19.el7_5.5.x86_64
sssd-common-pac-1.16.0-19.el7_5.5.x86_64
sssd-dbus-1.16.0-19.el7_5.5.x86_64
libsss_sudo-1.16.0-19.el7_5.5.x86_64
sssd-ad-1.16.0-19.el7_5.5.x86_64
sssd-common-1.16.0-19.el7_5.5.x86_64
python-sss-1.16.0-19.el7_5.5.x86_64


[root@mnprdnfs01 /]#
[root@mnprdnfs01 /]# rpm -qa|grep -i samba
samba-4.7.1-9.el7_5.x86_64
samba-common-4.7.1-9.el7_5.noarch
samba-common-tools-4.7.1-9.el7_5.x86_64
samba-common-libs-4.7.1-9.el7_5.x86_64
samba-libs-4.7.1-9.el7_5.x86_64
samba-client-libs-4.7.1-9.el7_5.x86_64
[root@mnprdnfs01 /]#

is there any compatible issue on samba and SSSD packages.. Not sure..

Thanks
krishna

User avatar
TrevorH
Forum Moderator
Posts: 24108
Joined: 2009/09/24 10:40:56
Location: Brighton, UK

Re: Samba service failed to start on centos 7 after patching

Post by TrevorH » 2018/09/23 16:13:09

You do know that NFS and samba are completely different things?
CentOS 5 died in March 2017 - migrate NOW!
Full time Geek, part time moderator. Use the FAQ Luke

kitchaaa_r
Posts: 25
Joined: 2018/08/20 18:09:55

Re: Samba service failed to start on centos 7 after patching

Post by kitchaaa_r » 2018/09/23 19:03:02

Yes i am aware both are completely different.

Before patching user reported that he was able to browse the linux home dir from his windows machine by \\mnprdnfs01
but after patching the share is not working..

As per the below link the only solution is to downgrade the samba package to samba-4.7.1-6.el7.x86_64.

i have tried to downgrade the package but dependency SSSD packages also need to be removed. please suggest is there any other way to downgrade the packages or any other solution to fix the issue .


output is truncated..

Dependencies Resolved

=============================================================================================================================================================
Package Arch Version Repository Size
=============================================================================================================================================================
Removing:
samba x86_64 4.7.1-9.el7_5 @centos7-x86_64-updates-20180901-01 1.9 M
samba-client-libs x86_64 4.7.1-9.el7_5 @centos7-x86_64-updates-20180901-01 19 M
samba-common noarch 4.7.1-9.el7_5 @centos7-x86_64-updates-20180901-01 130 k
samba-common-libs x86_64 4.7.1-9.el7_5 @centos7-x86_64-updates-20180901-01 270 k
samba-common-tools x86_64 4.7.1-9.el7_5 @centos7-x86_64-updates-20180901-01 1.1 M
samba-libs x86_64 4.7.1-9.el7_5 @centos7-x86_64-updates-20180901-01 729 k
Removing for dependencies:
libsmbclient x86_64 4.7.1-9.el7_5 @centos7-x86_64-updates-20180901-01 156 k
libwbclient x86_64 4.7.1-9.el7_5 @centos7-x86_64-updates-20180901-01 71 k
sssd x86_64 1.16.0-19.el7_5.5 @centos7-x86_64-updates-20180801-01 34 k
sssd-ad x86_64 1.16.0-19.el7_5.5 @centos7-x86_64-updates-20180801-01 342 k
sssd-common-pac x86_64 1.16.0-19.el7_5.5 @centos7-x86_64-updates-20180801-01 238 k
sssd-ipa x86_64 1.16.0-19.el7_5.5 @centos7-x86_64-updates-20180801-01 657 k

Transaction Summary
=============================================================================================================================================================
Remove 6 Packages (+6 Dependent packages)

Installed size: 24 M
Is this ok [y/N]:


Thanks
krishna


hunter86_bg
Posts: 1452
Joined: 2015/02/17 15:14:33
Location: Bulgaria
Contact:

Re: Samba service failed to start on centos 7 after patching

Post by hunter86_bg » 2018/09/24 03:42:45

Just downgrade the samba packages via:

Code: Select all

yum downgrade pckg1 pckg2 ...
If it complains for something, just repeat the command and add the package yum has complained.

kitchaaa_r
Posts: 25
Joined: 2018/08/20 18:09:55

Re: Samba service failed to start on centos 7 after patching

Post by kitchaaa_r » 2018/09/24 05:03:00

i have tried to downgrade the samba packages but getting error. do i need to remove these packages and then try to downgrade again..Please suggest.

Error: Package: libsmbclient-4.7.1-9.el7_5.x86_64 (@centos7-x86_64-updates-20180901-01
Error: Package: libwbclient-4.7.1-9.el7_5.x86_64 (@centos7-x86_64-updates-20180901-01)
Error: Package: libsmbclient-4.7.1-9.el7_5.x86_64 (@centos7-x86_64-updates-20180901-01)


yum downgrade samba-4.7.1-6.el7.x86_64 samba-common-tools-4.7.1-6.el7.x86_64 samba-common-4.7.1-6.el7.noarch samba-client-libs-4.7.1-6.el7.x86_64 samba-libs-4.7.1-6.el7.x86_64 samba-common-libs-4.7.1-6.el7.x86_64
Loaded plugins: langpacks, rhnplugin
This system is receiving updates from RHN Classic or Red Hat Satellite.
Resolving Dependencies
--> Running transaction check
---> Package samba.x86_64 0:4.7.1-6.el7 will be a downgrade
--> Processing Dependency: libwbclient = 4.7.1-6.el7 for package: samba-4.7.1-6.el7.x86_64
---> Package samba.x86_64 0:4.7.1-9.el7_5 will be erased
---> Package samba-client-libs.x86_64 0:4.7.1-6.el7 will be a downgrade
---> Package samba-client-libs.x86_64 0:4.7.1-9.el7_5 will be erased
---> Package samba-common.noarch 0:4.7.1-6.el7 will be a downgrade
---> Package samba-common.noarch 0:4.7.1-9.el7_5 will be erased
---> Package samba-common-libs.x86_64 0:4.7.1-6.el7 will be a downgrade
---> Package samba-common-libs.x86_64 0:4.7.1-9.el7_5 will be erased
---> Package samba-common-tools.x86_64 0:4.7.1-6.el7 will be a downgrade
---> Package samba-common-tools.x86_64 0:4.7.1-9.el7_5 will be erased
---> Package samba-libs.x86_64 0:4.7.1-6.el7 will be a downgrade
---> Package samba-libs.x86_64 0:4.7.1-9.el7_5 will be erased
--> Running transaction check
---> Package libwbclient.i686 0:4.7.1-6.el7 will be installed
--> Processing Dependency: libreplace-samba4.so(SAMBA_4.7.1) for package: libwbclient-4.7.1-6.el7.i686
--> Processing Dependency: libreplace-samba4.so for package: libwbclient-4.7.1-6.el7.i686
---> Package samba-client-libs.x86_64 0:4.7.1-9.el7_5 will be erased
---> Package samba-common.noarch 0:4.7.1-9.el7_5 will be erased
--> Running transaction check
---> Package samba-client-libs.i686 0:4.7.1-6.el7 will be installed
--> Processing Dependency: libldb.so.1(LDB_1.1.30) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtdb.so.1(TDB_1.3.11) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtevent.so.0(TEVENT_0.9.30) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtevent.so.0(TEVENT_0.9.31) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libldb.so.1(LDB_1.1.19) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtevent.so.0(TEVENT_0.9.21) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtevent.so.0(TEVENT_0.9.20) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtalloc.so.2(TALLOC_2.1.0) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtdb.so.1(TDB_1.3.0) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libldb.so.1(LDB_0.9.23) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libldb.so.1(LDB_0.9.10) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libldb.so.1(LDB_0.9.15) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libldb.so.1(LDB_1.1.1) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtevent.so.0(TEVENT_0.9.9) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtevent.so.0(TEVENT_0.9.12) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtevent.so.0(TEVENT_0.9.13) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtevent.so.0(TEVENT_0.9.16) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtevent.so.0(TEVENT_0.9.14) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libldb.so.1 for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtdb.so.1(TDB_1.2.1) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtdb.so.1(TDB_1.2.2) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtalloc.so.2(TALLOC_2.0.2) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtdb.so.1(TDB_1.2.5) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtalloc.so.2 for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtdb.so.1 for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libtevent.so.0 for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: liblber-2.4.so.2 for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libgssapi_krb5.so.2(gssapi_krb5_2_MIT) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libavahi-common.so.3 for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libacl.so.1 for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libacl.so.1(ACL_1.0) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libcups.so.2 for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libavahi-client.so.3 for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libgssapi_krb5.so.2 for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libldap-2.4.so.2 for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libk5crypto.so.3 for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libkrb5.so.3(krb5_3_MIT) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libcom_err.so.2 for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libk5crypto.so.3(k5crypto_3_MIT) for package: samba-client-libs-4.7.1-6.el7.i686
--> Processing Dependency: libkrb5.so.3 for package: samba-client-libs-4.7.1-6.el7.i686
---> Package samba-client-libs.x86_64 0:4.7.1-9.el7_5 will be erased
---> Package samba-common.noarch 0:4.7.1-9.el7_5 will be erased
--> Running transaction check
---> Package avahi-libs.i686 0:0.6.31-19.el7 will be installed
--> Processing Dependency: libdbus-1.so.3 for package: avahi-libs-0.6.31-19.el7.i686
---> Package cups-libs.i686 1:1.6.3-35.el7 will be installed
--> Processing Dependency: libssl.so.10(libssl.so.10) for package: 1:cups-libs-1.6.3-35.el7.i686
--> Processing Dependency: libcrypto.so.10(libcrypto.so.10) for package: 1:cups-libs-1.6.3-35.el7.i686
--> Processing Dependency: libssl.so.10 for package: 1:cups-libs-1.6.3-35.el7.i686
--> Processing Dependency: libcrypto.so.10 for package: 1:cups-libs-1.6.3-35.el7.i686
---> Package krb5-libs.i686 0:1.15.1-19.el7 will be installed
--> Processing Dependency: libverto.so.1 for package: krb5-libs-1.15.1-19.el7.i686
--> Processing Dependency: libkeyutils.so.1(KEYUTILS_1.5) for package: krb5-libs-1.15.1-19.el7.i686
--> Processing Dependency: libkeyutils.so.1(KEYUTILS_1.0) for package: krb5-libs-1.15.1-19.el7.i686
--> Processing Dependency: libkeyutils.so.1(KEYUTILS_0.3) for package: krb5-libs-1.15.1-19.el7.i686
--> Processing Dependency: libkeyutils.so.1 for package: krb5-libs-1.15.1-19.el7.i686
---> Package libacl.i686 0:2.2.51-14.el7 will be installed
---> Package libcom_err.i686 0:1.42.9-12.el7_5 will be installed
---> Package libldb.i686 0:1.2.2-1.el7 will be installed
---> Package libtalloc.i686 0:2.1.10-1.el7 will be installed
---> Package libtdb.i686 0:1.3.15-1.el7 will be installed
---> Package libtevent.i686 0:0.9.33-2.el7 will be installed
---> Package openldap.i686 0:2.4.44-15.el7_5 will be installed
--> Processing Dependency: libsasl2.so.3 for package: openldap-2.4.44-15.el7_5.i686
--> Processing Dependency: libnss3.so(NSS_3.12.5) for package: openldap-2.4.44-15.el7_5.i686
--> Processing Dependency: libnss3.so(NSS_3.9) for package: openldap-2.4.44-15.el7_5.i686
--> Processing Dependency: libsmime3.so for package: openldap-2.4.44-15.el7_5.i686
--> Processing Dependency: libplds4.so for package: openldap-2.4.44-15.el7_5.i686
--> Processing Dependency: libnss3.so for package: openldap-2.4.44-15.el7_5.i686
--> Processing Dependency: libssl3.so for package: openldap-2.4.44-15.el7_5.i686
--> Processing Dependency: libnspr4.so for package: openldap-2.4.44-15.el7_5.i686
--> Processing Dependency: libnssutil3.so for package: openldap-2.4.44-15.el7_5.i686
--> Processing Dependency: libplc4.so for package: openldap-2.4.44-15.el7_5.i686
--> Processing Dependency: libnss3.so(NSS_3.12) for package: openldap-2.4.44-15.el7_5.i686
--> Processing Dependency: libnss3.so(NSS_3.2) for package: openldap-2.4.44-15.el7_5.i686
---> Package samba-client-libs.x86_64 0:4.7.1-9.el7_5 will be erased
---> Package samba-common.noarch 0:4.7.1-9.el7_5 will be erased
--> Running transaction check
---> Package cyrus-sasl-lib.i686 0:2.1.26-23.el7 will be installed
---> Package dbus-libs.i686 1:1.10.24-7.el7 will be installed
---> Package keyutils-libs.i686 0:1.5.8-3.el7 will be installed
---> Package libverto.i686 0:0.2.5-4.el7 will be installed
---> Package nspr.i686 0:4.19.0-1.el7_5 will be installed
---> Package nss.i686 0:3.36.0-5.el7_5 will be installed
--> Processing Dependency: nss-softokn(x86-32) >= 3.36.0-1 for package: nss-3.36.0-5.el7_5.i686
--> Processing Dependency: nss-pem(x86-32) for package: nss-3.36.0-5.el7_5.i686
---> Package nss-util.i686 0:3.36.0-1.el7_5 will be installed
---> Package openssl-libs.i686 1:1.0.2k-12.el7 will be installed
---> Package samba-client-libs.x86_64 0:4.7.1-9.el7_5 will be erased
---> Package samba-common.noarch 0:4.7.1-9.el7_5 will be erased
--> Running transaction check
---> Package nss-pem.i686 0:1.0.3-4.el7 will be installed
---> Package nss-softokn.i686 0:3.36.0-5.el7_5 will be installed
--> Processing Dependency: libsqlite3.so.0 for package: nss-softokn-3.36.0-5.el7_5.i686
---> Package samba-client-libs.x86_64 0:4.7.1-9.el7_5 will be erased
---> Package samba-common.noarch 0:4.7.1-9.el7_5 will be erased
--> Running transaction check
---> Package samba-client-libs.x86_64 0:4.7.1-9.el7_5 will be erased
---> Package samba-common.noarch 0:4.7.1-9.el7_5 will be erased
---> Package sqlite.i686 0:3.7.17-8.el7 will be installed
--> Processing Dependency: libtinfo.so.5 for package: sqlite-3.7.17-8.el7.i686
--> Processing Dependency: libncurses.so.5 for package: sqlite-3.7.17-8.el7.i686
--> Processing Dependency: libreadline.so.6 for package: sqlite-3.7.17-8.el7.i686
--> Running transaction check
---> Package ncurses-libs.i686 0:5.9-14.20130511.el7_4 will be installed
---> Package readline.i686 0:6.2-10.el7 will be installed
---> Package samba-client-libs.x86_64 0:4.7.1-9.el7_5 will be erased
---> Package samba-common.noarch 0:4.7.1-9.el7_5 will be erased
--> Finished Dependency Resolution
Error: Package: libsmbclient-4.7.1-9.el7_5.x86_64 (@centos7-x86_64-updates-20180901-01)
Requires: samba-client-libs = 4.7.1-9.el7_5
Removing: samba-client-libs-4.7.1-9.el7_5.x86_64 (@centos7-x86_64-updates-20180901-01)
samba-client-libs = 4.7.1-9.el7_5
Downgraded By: samba-client-libs-4.7.1-6.el7.x86_64 (centos7-x86_64-base-20180601-01)
samba-client-libs = 4.7.1-6.el7
Available: samba-client-libs-4.2.3-10.el7.i686 (centos7-x86_64-base-20180601-01)
samba-client-libs = 4.2.3-10.el7
Available: samba-client-libs-4.2.3-11.el7_2.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.2.3-11.el7_2
Available: samba-client-libs-4.2.3-12.el7_2.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.2.3-12.el7_2
Available: samba-client-libs-4.2.10-6.el7_2.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.2.10-6.el7_2
Available: samba-client-libs-4.2.10-6.2.el7_2.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.2.10-6.2.el7_2
Available: samba-client-libs-4.2.10-7.el7_2.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.2.10-7.el7_2
Available: samba-client-libs-4.4.4-9.el7.i686 (centos7-x86_64-base-20180601-01)
samba-client-libs = 4.4.4-9.el7
Available: samba-client-libs-4.4.4-12.el7_3.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.4.4-12.el7_3
Available: samba-client-libs-4.4.4-13.el7_3.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.4.4-13.el7_3
Available: samba-client-libs-4.4.4-14.el7_3.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.4.4-14.el7_3
Available: samba-client-libs-4.6.2-8.el7.i686 (centos7-x86_64-base-20180601-01)
samba-client-libs = 4.6.2-8.el7
Available: samba-client-libs-4.6.2-10.el7_4.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.6.2-10.el7_4
Available: samba-client-libs-4.6.2-11.el7_4.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.6.2-11.el7_4
Available: samba-client-libs-4.6.2-12.el7_4.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.6.2-12.el7_4
Error: Package: libwbclient-4.7.1-9.el7_5.x86_64 (@centos7-x86_64-updates-20180901-01)
Requires: samba-client-libs = 4.7.1-9.el7_5
Removing: samba-client-libs-4.7.1-9.el7_5.x86_64 (@centos7-x86_64-updates-20180901-01)
samba-client-libs = 4.7.1-9.el7_5
Downgraded By: samba-client-libs-4.7.1-6.el7.x86_64 (centos7-x86_64-base-20180601-01)
samba-client-libs = 4.7.1-6.el7
Available: samba-client-libs-4.2.3-10.el7.i686 (centos7-x86_64-base-20180601-01)
samba-client-libs = 4.2.3-10.el7
Available: samba-client-libs-4.2.3-11.el7_2.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.2.3-11.el7_2
Available: samba-client-libs-4.2.3-12.el7_2.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.2.3-12.el7_2
Available: samba-client-libs-4.2.10-6.el7_2.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.2.10-6.el7_2
Available: samba-client-libs-4.2.10-6.2.el7_2.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.2.10-6.2.el7_2
Available: samba-client-libs-4.2.10-7.el7_2.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.2.10-7.el7_2
Available: samba-client-libs-4.4.4-9.el7.i686 (centos7-x86_64-base-20180601-01)
samba-client-libs = 4.4.4-9.el7
Available: samba-client-libs-4.4.4-12.el7_3.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.4.4-12.el7_3
Available: samba-client-libs-4.4.4-13.el7_3.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.4.4-13.el7_3
Available: samba-client-libs-4.4.4-14.el7_3.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.4.4-14.el7_3
Available: samba-client-libs-4.6.2-8.el7.i686 (centos7-x86_64-base-20180601-01)
samba-client-libs = 4.6.2-8.el7
Available: samba-client-libs-4.6.2-10.el7_4.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.6.2-10.el7_4
Available: samba-client-libs-4.6.2-11.el7_4.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.6.2-11.el7_4
Available: samba-client-libs-4.6.2-12.el7_4.i686 (centos7-x86_64-updates-20180601-01)
samba-client-libs = 4.6.2-12.el7_4
Error: Package: libsmbclient-4.7.1-9.el7_5.x86_64 (@centos7-x86_64-updates-20180901-01)
Requires: samba-common = 4.7.1-9.el7_5
Removing: samba-common-4.7.1-9.el7_5.noarch (@centos7-x86_64-updates-20180901-01)
samba-common = 4.7.1-9.el7_5
Downgraded By: samba-common-4.7.1-6.el7.noarch (centos7-x86_64-base-20180601-01)
samba-common = 4.7.1-6.el7
Available: samba-common-4.2.3-10.el7.noarch (centos7-x86_64-base-20180601-01)
samba-common = 4.2.3-10.el7
Available: samba-common-4.2.3-11.el7_2.noarch (centos7-x86_64-updates-20180601-01)
samba-common = 4.2.3-11.el7_2
Available: samba-common-4.2.3-12.el7_2.noarch (centos7-x86_64-updates-20180601-01)
samba-common = 4.2.3-12.el7_2
Available: samba-common-4.2.10-6.el7_2.noarch (centos7-x86_64-updates-20180601-01)
samba-common = 4.2.10-6.el7_2
Available: samba-common-4.2.10-6.2.el7_2.noarch (centos7-x86_64-updates-20180601-01)
samba-common = 4.2.10-6.2.el7_2
Available: samba-common-4.2.10-7.el7_2.noarch (centos7-x86_64-updates-20180601-01)
samba-common = 4.2.10-7.el7_2
Available: samba-common-4.4.4-9.el7.noarch (centos7-x86_64-base-20180601-01)
samba-common = 4.4.4-9.el7
Available: samba-common-4.4.4-12.el7_3.noarch (centos7-x86_64-updates-20180601-01)
samba-common = 4.4.4-12.el7_3
Available: samba-common-4.4.4-13.el7_3.noarch (centos7-x86_64-updates-20180601-01)
samba-common = 4.4.4-13.el7_3
Available: samba-common-4.4.4-14.el7_3.noarch (centos7-x86_64-updates-20180601-01)
samba-common = 4.4.4-14.el7_3
Available: samba-common-4.6.2-8.el7.noarch (centos7-x86_64-base-20180601-01)
samba-common = 4.6.2-8.el7
Available: samba-common-4.6.2-10.el7_4.noarch (centos7-x86_64-updates-20180601-01)
samba-common = 4.6.2-10.el7_4
Available: samba-common-4.6.2-11.el7_4.noarch (centos7-x86_64-updates-20180601-01)
samba-common = 4.6.2-11.el7_4
Available: samba-common-4.6.2-12.el7_4.noarch (centos7-x86_64-updates-20180601-01)
samba-common = 4.6.2-12.el7_4
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

Post Reply